package com.ahau.againstpest.utils;

import android.content.Context;

/**
 * 注释:网络缓存工具
 *
 * @author fanchunchun
 * @date 2018/3/31
 */

public class CacheUtils {

    /**
     * 以url为key，以json为value，保存到本地
     * @param url
     * @param json
     * @param ctx
     */
    public static void setCache(String url, String json, Context ctx) {
        PrefUtils.setString(ctx, url, json);
    }

    /**
     * 获取缓存
     * @param url
     * @param ctx
     * @return
     */
    public static String getCache(String url, Context ctx) {
        return PrefUtils.getString(ctx, url, null);

    }

}
